org.cpsolver.coursett

## Class JenrlChart

- java.lang.Object
- - org.cpsolver.coursett.DomainChart
  - - org.cpsolver.coursett.JenrlChart

-     public class JenrlChart
      extends DomainChart

  Create joint enrollment chart of the given input problem as CSV file (3 dimensions: 1st variable, 2nd variable, number of students in common)
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `iMax`

    - ### Fields inherited from class org.cpsolver.coursett.DomainChart

      `iAssignment, iHeader, iModel, iName, iShowZero, iSizeX, iSizeY, iTable, iTitle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JenrlChart(File xmlFile, int max)`
    `JenrlChart(String name, TimetableModel model, int max)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `computeTable()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class org.cpsolver.coursett.DomainChart

      `add, clearTable, createTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iMax

          protected int iMax

  - ### Constructor Detail

    - #### JenrlChart

          public JenrlChart(String name,
                            TimetableModel model,
                            int max)

    - #### JenrlChart

          public JenrlChart(File xmlFile,
                            int max)
                     throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### computeTable

          protected void computeTable()

      Overrides:
        `computeTable` in class `DomainChart`

    - #### main

          public static void main(String[] args)